Letsencrypt EE4 Error


#1

I don’t know if I’m doing something wrong, but I get the following error when trying to create a letsencrypt site.

Starting SSL verification. Warning: Server error: GET http://www.ryansmithphotography.com/.well-known/acme-challenge/WrdruVilRxBxS-Kltt1jHn4sckeOM12I1zwMziVS_Iw resulted in a 521 Origin Down response: <!DOCTYPE html> <!–[if lt IE 7]> <html class=“no-js ie6 oldie” lang=“en-US”> <![endif]–> <!–[if IE 7]> <html class (truncated…)

It seems to me the problem is it’s trying to get a http address, but this isn’t possible my site has hsts on it’s not going to allow a http connection.


#2

Well, looks like you’ve found a bug. But it doesn’t seem to me like HSTS would create problems. At least not as far as LetsEncrypt is concerned. You can read about this here - https://community.letsencrypt.org/t/hsts-and-lets-encrypt/38257/5

Please report this issue on our GitHub issue tracker - https://github.com/EasyEngine/easyengine/